import { OrganisationseinheitError, OrganisationseinheitErrorType } from './user.model';

export const KEYCLOAK_ERROR_MESSAGES: { [type: string]: string } = {
  [OrganisationseinheitErrorType.NAME_CONFLICT]: 'Der Name exisitert bereits.',
  [OrganisationseinheitErrorType.NAME_MISSING]: 'Bitte den Namen angeben.',
  [OrganisationseinheitErrorType.ID_MISSING]:
    'Bitte mindestens eine Organisationseinheit ID angeben.',
};

export const KEYCLOAK_CREATE_GROUPS_ERROR_STATUS: {
  [status: number]: OrganisationseinheitErrorType;
} = {
  409: OrganisationseinheitErrorType.NAME_CONFLICT,
  400: OrganisationseinheitErrorType.NAME_MISSING,
};

export function getOrganisationseinheitErrorMessage(error: OrganisationseinheitError): string {
  return KEYCLOAK_ERROR_MESSAGES[error.errorType] ?? '';
}
