import { BescheidService } from '@alfa-client/bescheid-shared';
import { Mock, mock } from '@alfa-client/test-utils';
import { SpinnerComponent } from '@alfa-client/ui';
import { ComponentFixture, TestBed } from '@angular/core/testing';
import { MockComponent } from 'ng-mocks';
import { BescheidListInVorgangContainerComponent } from './bescheid-list-in-vorgang-container.component';
import { BescheidListInVorgangComponent } from './bescheid-list-in-vorgang/bescheid-list-in-vorgang.component';

describe('BescheidListInVorgangContainerComponent', () => {
  let component: BescheidListInVorgangContainerComponent;
  let fixture: ComponentFixture<BescheidListInVorgangContainerComponent>;

  const bescheidService: Mock<BescheidService> = mock(BescheidService);

  beforeEach(async () => {
    await TestBed.configureTestingModule({
      declarations: [
        BescheidListInVorgangContainerComponent,
        MockComponent(BescheidListInVorgangComponent),
        MockComponent(SpinnerComponent),
      ],
      providers: [
        {
          provide: BescheidService,
          useValue: bescheidService,
        },
      ],
    }).compileComponents();

    fixture = TestBed.createComponent(BescheidListInVorgangContainerComponent);
    component = fixture.componentInstance;
    fixture.detectChanges();
  });

  it('should create', () => {
    expect(component).toBeTruthy();
  });

  describe('ngOnInit', () => {
    it('should call service to get list', () => {
      component.ngOnInit();

      expect(bescheidService.getBescheidList).toHaveBeenCalled();
    });
  });
});
