import { BinaryFileService } from '@alfa-client/binary-file-shared';
import { StateResource, createEmptyStateResource } from '@alfa-client/tech-shared';
import { Component, Input } from '@angular/core';
import { Observable, of } from 'rxjs';

@Component({
  selector: 'alfa-download-archive-file-button-container',
  templateUrl: './download-archive-file-button-container.component.html',
})
export class DownloadArchiveFileButtonContainerComponent {
  @Input() downloadUri: string;

  public downloadArchiveInProgress$: Observable<StateResource<unknown>> = of(
    createEmptyStateResource(),
  );

  constructor(private binaryFileService: BinaryFileService) {}

  public downloadArchive(): void {
    this.downloadArchiveInProgress$ = this.binaryFileService.downloadArchive(this.downloadUri);
  }
}
