import { CollaborationListResource } from '@alfa-client/collaboration-shared';
import { CommandResource } from '@alfa-client/command-shared';
import { AbstractFormService, StateResource } from '@alfa-client/tech-shared';
import { Injectable } from '@angular/core';
import { FormBuilder, FormControl, FormGroup } from '@angular/forms';
import { ResourceUri } from '@ngxp/rest';
import { CollaborationService } from 'libs/collaboration-shared/src/lib/collaboration.service';
import { Observable } from 'rxjs';

@Injectable()
export class CollaborationRequestFormService extends AbstractFormService<CommandResource> {
  public static readonly FIELD_ZUSTAENDIGE_STELLE: string = 'zustaendigeStelle';
  public static readonly FIELD_TITLE: string = 'titel';
  public static readonly FIELD_NACHRICHT: string = 'anfrage';

  private static readonly PATH_PREFIX: string = 'command.body';

  listResource: CollaborationListResource;

  constructor(
    formBuilder: FormBuilder,
    private service: CollaborationService,
  ) {
    super(formBuilder);
  }

  protected initForm(): FormGroup {
    return this.formBuilder.group({
      [CollaborationRequestFormService.FIELD_ZUSTAENDIGE_STELLE]: new FormControl<ResourceUri>(
        null,
      ),
      [CollaborationRequestFormService.FIELD_TITLE]: new FormControl<string>(null),
      [CollaborationRequestFormService.FIELD_NACHRICHT]: new FormControl<string>(null),
    });
  }

  protected doSubmit(): Observable<StateResource<CommandResource>> {
    return this.service.create(this.listResource, this.getFormValue());
  }

  protected getPathPrefix(): string {
    return CollaborationRequestFormService.PATH_PREFIX;
  }

  public setListResource(listResource: CollaborationListResource): void {
    this.listResource = listResource;
  }
}
