import type { Meta, StoryObj } from '@storybook/angular';

import { BescheidGenerateIconComponent } from './bescheid-generate-icon.component';

const meta: Meta<BescheidGenerateIconComponent> = {
  title: 'Icons/Bescheid generate icon',
  component: BescheidGenerateIconComponent,
  excludeStories: /.*Data$/,
  tags: ['autodocs'],
};

export default meta;
type Story = StoryObj<BescheidGenerateIconComponent>;

export const Default: Story = {
  args: { size: 'extra-large' },
  argTypes: {
    size: {
      control: 'select',
      options: ['small', 'medium', 'large', 'extra-large', 'full'],
      description: 'Size of icon. Property "full" means 100%',
      table: {
        defaultValue: { summary: 'extra-large' },
      },
    },
  },
};
