import type { Meta, StoryObj } from '@storybook/angular';

import { SaveIconComponent } from './save-icon.component';

const meta: Meta<SaveIconComponent> = {
  title: 'Icons/Save icon',
  component: SaveIconComponent,
  excludeStories: /.*Data$/,
  tags: ['autodocs'],
};

export default meta;
type Story = StoryObj<SaveIconComponent>;

export const Default: Story = {
  args: { size: 'large' },
  argTypes: {
    size: {
      control: 'select',
      options: ['small', 'medium', 'large', 'extra-large', 'full'],
      description: 'Size of icon. Property "full" means 100%',
      table: {
        defaultValue: { summary: 'medium' },
      },
    },
  },
};
