import { BescheidService } from '@alfa-client/bescheid-shared';
import { Mock, mock } from '@alfa-client/test-utils';
import { EventEmitter } from '@angular/core';
import { ComponentFixture, TestBed } from '@angular/core/testing';
import { MockComponent } from 'ng-mocks';
import { BescheidenFormService } from '../../bescheiden.formservice';
import { VorgangDetailBescheidenStepButtonComponent } from './vorgang-detail-bescheiden-step-button/vorgang-detail-bescheiden-step-button.component';
import { VorgangDetailBescheidenStepButtonsComponent } from './vorgang-detail-bescheiden-step-buttons.component';

describe('VorgangDetailBescheidenStepButtonsComponent', () => {
  let component: VorgangDetailBescheidenStepButtonsComponent;
  let fixture: ComponentFixture<VorgangDetailBescheidenStepButtonsComponent>;

  const formService: Mock<BescheidenFormService> = mock(BescheidenFormService);
  const bescheidService: Mock<BescheidService> = mock(BescheidService);

  beforeEach(async () => {
    await TestBed.configureTestingModule({
      declarations: [
        VorgangDetailBescheidenStepButtonsComponent,
        MockComponent(VorgangDetailBescheidenStepButtonComponent),
      ],
      providers: [
        {
          provide: BescheidenFormService,
          useValue: formService,
        },
        {
          provide: BescheidService,
          useValue: bescheidService,
        },
      ],
    }).compileComponents();

    fixture = TestBed.createComponent(VorgangDetailBescheidenStepButtonsComponent);
    component = fixture.componentInstance;
    fixture.detectChanges();
  });

  it('should create', () => {
    expect(component).toBeTruthy();
  });

  describe('changeActiveStep', () => {
    const step: number = 1;
    beforeEach(() => {
      component.activeStepChange = <any>mock(EventEmitter);
    });

    it('should emit step', () => {
      component.changeActiveStep(step);

      expect(component.activeStepChange.emit).toHaveBeenCalledWith(step);
    });

    it('should set active step in formservice', () => {
      component.changeActiveStep(step);

      expect(formService.setActiveStep).toHaveBeenCalledWith(step);
    });
  });
});
