package de.ozgcloud.alfa.postfach;

import org.springframework.boot.context.properties.ConfigurationProperties;
import org.springframework.cloud.context.config.annotation.RefreshScope;
import org.springframework.context.annotation.Configuration;

import lombok.Getter;
import lombok.Setter;

@Configuration
@ConfigurationProperties(prefix = PostfachProperties.PREFIX)
@RefreshScope
@Getter
@Setter
public class PostfachProperties {

	static final String PREFIX = "ozgcloud.postfach";

	/**
	 * Signature appended to messages. Configured by administration config server.
	 */
	private String signatur = "";

}
