package de.ozgcloud.alfa.collaboration;

import static org.assertj.core.api.Assertions.*;

import org.junit.jupiter.api.Nested;
import org.junit.jupiter.api.Test;
import org.mockito.Spy;
import org.springframework.hateoas.IanaLinkRelations;
import org.springframework.hateoas.Link;
import org.springframework.web.util.UriComponentsBuilder;

class OrganisationsEinheitModelAssemblerTest {

	@Spy
	private OrganisationsEinheitModelAssembler assembler;

	@Nested
	class TestToModel {

		@Test
		void shouldHaveSelfLink() {
			var expectedHref = UriComponentsBuilder.fromUriString(OrganisationsEinheitController.PATH)
					.pathSegment(OrganisationsEinheitTestFactory.ID)
					.build().toString();

			var model = assembler.toModel(OrganisationsEinheitTestFactory.create());

			assertThat(model.getLink(IanaLinkRelations.SELF_VALUE)).isPresent().get().extracting(Link::getHref)
					.isEqualTo(expectedHref);
		}
	}
}
