package de.ozgcloud.alfa.common.user;

import static org.assertj.core.api.Assertions.*;

import org.junit.jupiter.api.DisplayName;
import org.junit.jupiter.api.Nested;
import org.junit.jupiter.api.Test;

class CurrentUserHelperTest {

	@DisplayName("Prepare role for check")
	@Nested
	class TestPrepareRoleForCheck {

		@Test
		void shouldAddPrefixIfMissing() {
			var roleWithoutPrefix = UserRole.VERWALTUNG_USER;

			var role = CurrentUserHelper.prepareRoleForCheck(roleWithoutPrefix);

			assertThat(role).isEqualTo(String.format("%s%s", CurrentUserHelper.ROLE_PREFIX, UserRole.VERWALTUNG_USER));
		}

		@Test
		void shouldReturnRoleIfPrefixAlreadyExists() {
			var roleWithPrefix = String.format("ROLE_%s", UserRole.VERWALTUNG_USER);

			var role = CurrentUserHelper.prepareRoleForCheck(roleWithPrefix);

			assertThat(role).isEqualTo(roleWithPrefix);
		}

		@Test
		void shouldReturnPassingRoleIfNonNull() {
			var role = CurrentUserHelper.prepareRoleForCheck(null);

			assertThat(role).isNull();
		}
	}
}
