package de.ozgcloud.alfa.postfach;

import de.ozgcloud.alfa.common.file.OzgFile;
import de.ozgcloud.alfa.common.file.OzgFileTestFactory;
import de.ozgcloud.alfa.export.DokumentTypeTestFactory;
import de.ozgcloud.alfa.postfach.PostfachMailExportData.PostfachMailExportDataBuilder;
import de.xoev.xdomea.DokumentType;

public class PostfachMailExportDataTestFactory {

	public static final DokumentType DOKUMENT_TYPE = DokumentTypeTestFactory.create();
	public static final OzgFile OZG_FILE = OzgFileTestFactory.createWithUniqueId();

	public static PostfachMailExportData create() {
		return createBuilder().build();
	}

	public static PostfachMailExportDataBuilder createBuilder() {
		return PostfachMailExportData.builder()
				.dokumentType(DOKUMENT_TYPE)
				.attachment(OZG_FILE);
	}
}
