package de.ozgcloud.alfa.vorgang;

import static org.assertj.core.api.Assertions.*;
import static org.mockito.Mockito.*;

import org.junit.jupiter.api.BeforeEach;
import org.junit.jupiter.api.Nested;
import org.junit.jupiter.api.Test;
import org.mockito.InjectMocks;
import org.mockito.Mock;
import org.mockito.Spy;

import de.xoev.xdomea.Antragsdaten;
import de.xoev.xdomea.AnwendungsspezifischeErweiterungXMLType;

public class AnwendungsspezifischeErweiterungXMLTypeCreatorTest {

	@Spy
	@InjectMocks
	private AnwendungsspezifischeErweiterungXMLTypeCreator creator;
	@Mock
	private FormDataMapper formDataMapper;

	@Nested
	class TestCreate {

		private final VorgangWithEingang vorgang = VorgangWithEingangTestFactory.create();
		private final Antragsdaten Antragsdaten = new Antragsdaten();

		@BeforeEach
		void init() {
			when(formDataMapper.toAntragsdaten(any())).thenReturn(Antragsdaten);
		}

		@Test
		void shouldCallFormDataMapper() {
			create();

			verify(formDataMapper).toAntragsdaten(vorgang);
		}

		@Test
		void shouldHaveAntragsdaten() {
			var anwendungsspezifischeErweiterung = create();

			assertThat(anwendungsspezifischeErweiterung.getAny()).hasSize(1).first().isEqualTo(Antragsdaten);
		}

		private AnwendungsspezifischeErweiterungXMLType create() {
			return creator.create(vorgang);
		}
	}
}
